Subject: Re: bug#65829: 29.1; pgtk build invalid clickable area in window

From: Johann Höchtl <[email-masked]>
Date: Sun, 10 Sep 2023 18:55:23 +0200

Building Emacs from source is beyond my abilities, I am sorry.

Maybe it is of help that I have fractional scaling enabled - that's the
primary reason for me to use Wayland and the pgtk-build.

 Also note that I did use An Emacs 30.0.50 pgtk-build with aot for maybe
more than a year and did not have this issue. I have this issue after
switching to the officially released Emacs 29.1.

Best, Johann

Am So., 10. Sept. 2023 um 03:02 Uhr schrieb Po Lu <[email-masked]>:

> Johann Höchtl <[email-masked]> writes:
>
> > On Sat, 2023-09-09 at 14:35 +0800, Po Lu wrote:
> >> Eli Zaretskii <[email-masked]> writes:
> >>
> >> > You are basically saying that, wherever you click mouse-1, Emacs in
> >> > your PGTK build thinks the click was on the tool bar?
> >> >
> >> > Po Lu, do we know about such problems in the PGTK build?
> >>
> >> No, we don't.  Johann, have you enabled tool-bar-mode or tab-bar-
> >> mode?
> >> Which pertinent variables have you customized?
> >
> > While I am aware of tool-bar-mode or tab-bar-mode, the behaviour shows
> > when starting as emacs -Q, so it shows without any configuration
> > walking astray from the defaults.
>
> Thanks.  What if you delete the body of the function
> `pgtk_toolkit_position' within pgtkterm.c?
>